Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigSocketAppender

All Superinterfaces:
  java.rmi.Remote, RemoteConfigAppender

    public interface RemoteConfigSocketAppender

extends RemoteConfigAppender

The `RemoteConfigSocketAppender` takes charge of managing socket appender specific properties.

Since:
  V8.1

Field Summary

Fields inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`java.lang.String` | `getHost()` Gets the socket's remote host.
`int` | `getPort()` Gets the socket port.
`int` | `getReconnectionDelay()` Gets the socket's reconnection delay time.
`boolean` | `isPrintLocationInfo()` Judges whether to print the location information to the socket appender.
`void` | `setHost(java.lang.String host)` Sets the socket's remote host.
`void` | `setPort(int port)` Sets the socket's port value.
`void` | `setPrintLocationInfo(boolean locInfo)` Sets the socket appender location information.
`void` | `setReconnectionDelay(int delay)` Sets the socket's reconnection delay time.

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getHost

    java.lang.String getHost()
                             throws java.rmi.RemoteException

  Gets the socket's remote host.

  Returns:
    the socket's remote host.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setHost

    void setHost(java.lang.String host)
                 throws java.rmi.RemoteException

  Sets the socket's remote host.

  Parameters:
    `host` - the socket's remote host.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getPort

    int getPort()
                throws java.rmi.RemoteException

  Gets the socket port.

  Returns:
    the port value.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPort

    void setPort(int port)
                 throws java.rmi.RemoteException

  Sets the socket's port value.

  Parameters:
    `port` - the socket's port value.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getReconnectionDelay

    int getReconnectionDelay()
                             throws java.rmi.RemoteException

  Gets the socket's reconnection delay time.

  Returns:
    the socket's reconnection delay time.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setReconnectionDelay

    void setReconnectionDelay(int delay)
                              throws java.rmi.RemoteException

  Sets the socket's reconnection delay time.

  Parameters:
    `delay` - the socket's reconnection delay time.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isPrintLocationInfo

    boolean isPrintLocationInfo()
                                throws java.rmi.RemoteException

  Judges whether to print the location information to the socket appender.

  Returns:
    true if the socket appender prints the location information, or else false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setPrintLocationInfo

    void setPrintLocationInfo(boolean locInfo)
                              throws java.rmi.RemoteException

  Sets the socket appender location information.

  Parameters:
    `locInfo` - boolean value of the socket's location information.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD